[tor-commits] [translation-tools/master] add hack to send mail for tsum translations (6642)

sebastian at torproject.org sebastian at torproject.org
Tue Aug 21 03:56:24 UTC 2012


commit a863c878039c601ab2fe3b2f32d3b223004a0112
Author: Sebastian Hahn <sebastian at torproject.org>
Date:   Tue Aug 21 05:53:15 2012 +0200

    add hack to send mail for tsum translations (6642)
    
    Runa asked for this hack, and it's pretty ugly but should work :)
---
 config              |    2 ++
 mail_tsum_completed |   10 ++++++++++
 2 files changed, 12 insertions(+), 0 deletions(-)

diff --git a/config b/config
index c74200b..8973c80 100644
--- a/config
+++ b/config
@@ -17,3 +17,5 @@ https_everywhere https_everywhere_completed"
 PIDFILE=/srv/translation.torproject.org/run/update_translations.pid
 
 STATUSFILE=/srv/translation.torproject.org/run/last_success
+
+TSUM_COMPLETED_TMPFILE=/srv/translation.torproject.org/run/tsum_completed
diff --git a/mail_tsum_completed b/mail_tsum_completed
new file mode 100755
index 0000000..4b93fc6
--- /dev/null
+++ b/mail_tsum_completed
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+cd `dirname $0`
+
+source config
+
+ls $TRANSLATION_REPO/tsum_completed > ${TSUM_COMPLETED_TMPFILE}.new
+diff -u ${TSUM_COMPLETED_TMPFILE}.new ${TSUM_COMPLETED_TMPFILE} || true
+mv ${TSUM_COMPLETED_TMPFILE}.new ${TSUM_COMPLETED_TMPFILE}
+





More information about the tor-commits mailing list